Subject: Re: [Sipping] WGLC for ISUP overlap signaling

From: [email-masked]
Date: Mon, 1 Jul 2002 13:13:16 EDT

In a message dated 6/28/02 8:50:14 AM Eastern Daylight Time, 
[email-masked] writes:

> Mike,
> 
> Thanks for your feedback. Answers inline:
> 
> [email-masked] wrote:
> > 
> > To all:
> 
> > Section 3.3
> > 
> > In the last paragraph, it's hard to see why the INVITE with an extra
> > digit could result in a 484 (Address Incomplete). It should be
> > expected that any destination would throw away the extra digit and the
> > response would be the same as if the extra digit were not there. Or,
> > if the destination recognizes that the digit string is invalid because
> > it is too long, the response should not be "incomplete". There must be
> > a different response.
> 
> The text you are referring to is only an example. And as an example, it
> is OK. In fact, this can happens when a number is the prefix of another
> one. Anyway, as I said, it is onl an example and it is OK as it is.
> 

This is one of the most significant disagreements I have with this entire 
discussion. I do not believe there is a single place in the world's numbering 
plan where a number can be a "prefix" of another number. I'm speaking of the 
international, E.164 number, not the local number that one might dial to 
reach operators, local numbers, long-distance numbers, etc. Can you give me 
one example of where one E.164 number is a "prefix" of another?

As for the above "example", I still don't believe there is a single valid 
case in which an INVITE with too many digits should result in a response that 
says there isn't enough digits.

> > Section 4.1
> > 
> > Since the ingress side that sent the INVITE set a timer and expected
> > more digits, it should certainly be possible to include explicit
> > information in the INVITE that overlap is being used at the ingress
> > side. Otherwise, the egress side could be at a loss to know what to
> > do.
> 
> We do not want to introduce an "overlap indicator" in SIP. The idea is
> to push compexity to the gateway, not to add it to SIP.
> 

Without such an indicator, the result will be more complexity in the gateway. 
Adding the indicator is not "complexity" in SIP.
> 
> -- 
> Gonzalo Camarillo         Phone :  +358  9 299 33 71
> Oy L M Ericsson Ab        Mobile:  +358 40 702 35 35
> Telecom R&D               Fax   :  +358  9 299 30 52
> FIN-02420 Jorvas          Email :  [email-masked]
> Finland                   http://www.hut.fi/~gonzalo
> 
> 
> 
Mike Pierce

---

From: Gonzalo Camarillo <[email-masked]>
Date: Tue, 02 Jul 2002 09:53:43 +0300

Hello,

I would appreaciate if you could use text format in your messages, as
opposed to html. It is easier for me to answer.

You write:
>This is one of the most significant disagreements I have with this 
>entire discussion. I do not believe there is a single place in the
>world's numbering plan where a number can be a "prefix" of another 
>number. I'm speaking of the international, E.164 number, not
>the local number that one might dial to reach operators, local numbers, 
>long-distance numbers, etc. Can you give me one example
>of where one E.164 number is a "prefix" of another? 
>
>As for the above "example", I still don't believe there is a single 
>valid case in which an INVITE with too many digits should result in
>a response that says there isn't enough digits. 

358 is the prefix for Finland.
9 is the prefix for Helsinki
299 is the prefix for the PBX of Ericsson.
Within our PBX, we manage the last 4 digits of the number.

My phone number is: +358 9 299 3371
My fax number is: +358 9 299 3052

If you want to call the reception, you should dial: +358 9 299 1

Now, if you want to dial any extension (the last four digits of the
phone number) that begins with 1 (e.g., +358 9 299 1234), you have the
problem I was describing.

Best regards,

Gonzalo

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: Michael Hammer <[email-masked]>
Date: Tue, 02 Jul 2002 11:02:05 -0400

Gonzalo,

Does this dial plan mean that if I am a slow dialer that I will always get 
the receptionist (358-9-299-1) and never be able to reach anyone with the 
same leading digits (358-9-299-1xxx)?

Mike

---

From: Gonzalo Camarillo <[email-masked]>
Date: Tue, 02 Jul 2002 21:32:05 +0300

Michael,

In Finland, we always use en-bloc. Therefore, if you dial that number
from a country where overlap is used, a gateway-switch will convert it
to en-bloc. If the timers in that gateway were too short for you, you
could reach the reception.

Gonzalo